Evaluations
List per-case results of an evaluation run
GET /v1/evaluation-runs/{evaluationRunId}/results · SDK listEvaluationRunResults · CLI deployments eval run results
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
evaluationRunId*stringEvaluation run ID.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 8192limit?integerRange
1 <= value <= 100x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListEvaluationRunResultsResponse
application/json- response
items*array<>nextCursor?string|nullcurl -X GET "https://example.com/v1/evaluation-runs/string/results" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string"{ "items": [ { "caseKey": "string", "completedAt": "2019-08-24T14:15:22Z", "costUsdMicros": 0, "datasetCaseId": "string", "error": { "code": "string", "message": "string" }, "latencyMs": 0, "notApplicable": [ "string" ], "runId": "string", "runStatus": "string", "scores": [ { "errorClass": "evaluator_failed", "executionStatus": "error", "passed": true, "revision": 0, "scoreDefinitionId": "string", "value": 0 } ], "sourceTraceId": "string", "status": "dispatched", "submittedAt": "2019-08-24T14:15:22Z", "threadId": "string", "totalTokens": 0, "traceId": "string" } ], "nextCursor": "string"}